gsasl (2.2.2-2ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2111860). Remaining changes:
    - d/rules: disable LTO to fix FTBFS on s390x due to timeout (LP #2083243)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Jun 2025 12:55:32 -0700

gsasl (2.2.2-2) experimental; urgency=medium

  * Add explicit make dependencies.  Closes: #1105377.
  * Acknowledge NMU.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 15 May 2025 09:38:35 +0200

gsasl (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update tests/gsasl-dovecot-gssapi.sh for dovecot 2.4 (Closes: #1104411)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 02 May 2025 12:14:12 -0400

gsasl (2.2.2-1) unstable; urgency=medium

  * watch: Look for git-archive source tarball instead.
  * New upstream version 2.2.2
  * Bootstrap build from git-archive sources.
    - Build-Depends on git, gnulib (and forgotten) gengetopt, gperf.
    - Uses gnulib-dpkg.mk to checkout gnulib clone.
    - Use ./bootstrap instead of calling autoreconf directly.
  * Add Recommends:gnulib-l10n to gsasl, for gnulib translations.
  * tests: Check that gnulib translations work.
  * Drop no longer needed gperf lintian-overrides.
  * salsa-ci: Drop not particular useful armel/armhf/riscv jobs.
  * Improve d/copyright to silence lrc.
  * Fix crossbuilds, inspired by Helmut Grohne's patch for libidn2.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 30 Mar 2025 22:09:20 +0200

gsasl (2.2.1-2) unstable; urgency=medium

  * salsa-ci.yml: Modernize.
  * Standards-Version: 4.7.2.
  * libgsasl-dev: Depends:pkgconf instead of pkg-config.
  * Drop unused builddep dblatex.
  * d/salsa-ci.yml: Add arm/riscv jobs.
  * Run wrap-and-sort -satbk.
  * Use execute_after instead of override.
  * gbp.conf: Use DEP14 and debian-branch=debian/latest.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 27 Mar 2025 09:07:58 +0100

gsasl (2.2.1-1willsync1ubuntu1) oracular; urgency=medium

  * Disable LTO to fix FTBFS on s390x (times out building test-parser).
    (LP: #2083243)

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 30 Sep 2024 14:57:10 +0200

gsasl (2.2.1-1willsync1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:37:03 +0000

gsasl (2.2.1-1willsync1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:05:40 +0000

gsasl (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1.  Closes: #1057285, #1017638.
  * tests: Add Depends for ss/netstat, see #1057285.
  * Bump debian/* copyright year.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 02 Jan 2024 19:09:10 +0100

gsasl (2.2.0-2) unstable; urgency=medium

  * Bump Standards-Version 4.6.2 from 4.6.0.
  * Depend on libidn-dev, not obsolete libidn11-dev.
  * Drop obsolete libgsasl7-dev.  Closes: #1038323.
  * Bump debian/ copyright year.
  * Use pkgconf instead of pkg-config. LP: #2023935.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Jul 2023 20:01:01 +0200

gsasl (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Use improved upstream self-checks for debci.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 03 Sep 2022 17:30:01 +0200

gsasl (2.0.1-4) unstable; urgency=medium

  * Use libgssglue instead of libkrb5 for GSS-API.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Aug 2022 19:03:10 +0200

gsasl (2.0.1-3) unstable; urgency=medium

  * Add dovecot/mailutils debci scripts from upstream.
  * Use valgrind-if-available.  Closes: #1016751.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 06 Aug 2022 21:20:59 +0200

gsasl (2.0.1-2) unstable; urgency=medium

  * Test GSS-API against dovecot.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 28 Jul 2022 12:15:15 +0200

gsasl (2.0.1-1) unstable; urgency=medium

  * [040b62c] New upstream version 2.0.1

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Jul 2022 18:13:50 +0200

gsasl (2.0.0-2) unstable; urgency=medium

  * [929c264] Weaken libgsasl18 dependency to gsasl-common to Recommends.
  * [6c36ed7] Use not-installed instead of dh -X.la.
  * [54252fc] Fix syntax of lintian-overrides.
  * [5cda8ab] Drop incomplete very-long-line-length-in-source-file.
  * [3d62448] Fix filename of not-installed.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 26 Jun 2022 15:13:27 +0200

gsasl (2.0.0-1) unstable; urgency=medium

  * [de8b713] Add gsasl-scram-pbkdf2 autopkgtest.
  * [98b21e5] Drop (now) useless override_dh_auto_install.
  * [d47576b] Cosmetic fixes.
  * [3d213b9] New upstream version 2.0.0

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jun 2022 18:24:17 +0200

gsasl (1.11.3-3) unstable; urgency=medium

  * [2ff9a33] Revert "Use alpha.gnu.org for experimental branch."
  * [f8a3fa4] Drop hard version requirement from libgsasl18 to gsasl-common.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 17 Jun 2022 13:13:44 +0200

gsasl (1.11.3-2) unstable; urgency=medium

  * Upload to unstable.
  * [a6f5c38] Drop experimental gbp.conf.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Jun 2022 20:43:04 +0200

gsasl (1.11.3-1) experimental; urgency=medium

  * [7abd2ec] libgsasl-dev: Drop .la file.
  * [d56eaf3] Update standards version to 4.6.1.
  * [be57880] Drop install-info dep.  Closes: #1012491.
  * [5cf1188] d/copyright: Bump copyright years for debian/ files.
  * [4acd547] New upstream version 1.11.3
  * [671a1dc] Update symbols file.
  * [affc17a] Attempt to fix tests-build-any due to makeinfo.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 13 Jun 2022 08:49:50 +0200

gsasl (1.11.2-1) experimental; urgency=medium

  * New upstream alpha release.
  * Shared library package libgsasl7 renamed to libgsasl18.
  * Add Conflicts/Replaces with libgsasl7 on libgsasl18.
  * Update symbols file.
  * [9f649e3] Use alpha.gnu.org for experimental branch.
  * [bfdb9cb] New upstream version 1.11.2
  * [0d5fd40] Update symbols file.
  * [a8c61e2] Update standards version to 4.6.0.
  * [48468be] Ignore some very-long-line-length-in-source-file complaints.
  * [5dd9caf] Fix libgsasl autopkgtest.
  * [7048a13] Fix typo in gsasl-doc.doc-base.api.
  * [ee16b91] Drop obsolete Conflicts/Replaces for new libgsasl18.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Oct 2021 19:24:04 +0200

gsasl (1.10.0-5) unstable; urgency=medium

  * [ae6c466] Use gbp dch id-length 7.
  * [ff1b91d] Silence source-contains-autogenerated-gperf-data.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Aug 2021 22:28:40 +0200

gsasl (1.10.0-4) unstable; urgency=medium

  * Add Texinfo HTML and GTK-DOC API manual to gsasl-doc.
    - Move texinfo from B-D to B-D-I.  Add B-D-I's for docs.
  * Attempt to run upstream self-tests from autopkgtest.
  * Drop debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jan 2021 22:58:07 +0100

gsasl (1.10.0-3) unstable; urgency=low

  * Upload to unstable; rebuilding reverse dependencies works.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Jan 2021 20:18:42 +0100

gsasl (1.10.0-2) experimental; urgency=low

  * Add libgsasl-dev package.
  * Make libgsasl7-dev a dummy transitional package that depends on
    libgsasl-dev.
  * Add gsasl-common package and move translations from libgsasl7.
  * Add gsasl-doc package for documentation.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Jan 2021 18:17:12 +0100

gsasl (1.10.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes autoconf 2.70 ftbfs. Closes: #978826.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 01 Jan 2021 18:09:28 +0100

gsasl (1.9.3-1) experimental; urgency=low

  * New upstream beta release.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 01 Jan 2021 17:33:47 +0100

gsasl (1.9.2-1) experimental; urgency=low

  * New upstream beta release.
    - Update libgsasl7.symbols.
    - Drop d/source/lintian-overrides.
  * Install info images now that they are properly named.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 24 Dec 2020 16:22:17 +0100

gsasl (1.8.1-5) unstable; urgency=low

  * Update standards version to 4.5.1.
  * Update d/watch to version 4.
  * Add autopkgtest.
  * Include pkg-info.mk in d/rules for $(DEB_VERSION).
  * Add examples/ to libgsasl7-dev.
  * Move text docs from 'gsasl' to 'libgsasl7' so everyone has them.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 24 Nov 2020 21:37:33 +0100

gsasl (1.8.1-4) unstable; urgency=low

  * Use dh instead of cdbs.
  * Add upstream/metadata: Bug-Database, Repository, Repository-Browse,
    Documentation.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Nov 2020 15:24:09 +0100

gsasl (1.8.1-3) unstable; urgency=low

  * Source-only upload.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 28 Oct 2020 20:08:19 +0100

gsasl (1.8.1-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Add d/source/lintian-overrides.
  * Run wrap-and-sort and sort-dctrl.
  * Move d/upstream-signing-key.pgp to d/upstream/signing-key.asc.
  * Add Rules-Requires-Root: no.
  * Update debian/upstream-signing-key.pgp.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Update standards version to 4.5.0, no changes needed.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 27 Oct 2020 19:04:37 +0100

gsasl (1.8.1-1) unstable; urgency=low

  * New upstream stable release.
  * control, README.source: Update git URLs.
  * Standard-Versions 4.4.0.
  * Compat 10.
    - Drop dh-autoreconf and automake1.11 dependencies. Closes: #865164.
  * Add Build-Depends-Package to symbol files.
  * Enable hardening.
  * Use https in watch file.
  * Use https in copyright Format.
  * Use https in Homepage URL.
  * Priority: optional instead of extra.
  * Drop gsasl-dbg package.
  * Multiarchify the library packages, thanks Matthias Klose. Closes: #838032.
  * Update debian/upstream-signing-key.pgp.
  * Drop source/options.
  * Drop d/*.dirs files.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 02 Aug 2019 15:15:01 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgsasl18`.
